# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{
  config,
  lib,
  modulesPath,
  ...
}: {
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot.initrd.availableKernelModules = ["xhci_pci" "nvme" "usb_storage" "usbhid" "sd_mod" "sdhci_pci"];
  boot.initrd.kernelModules = [];
  boot.kernelModules = ["kvm-intel"];
  boot.extraModulePackages = [];

  fileSystems."/" = {
    device = "none";
    fsType = "tmpfs";
    options = ["defaults" "size=50%" "mode=755"];
  };

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/107D-CA99";
    fsType = "vfat";
    options = ["fmask=0077" "dmask=0077"];
  };

  fileSystems."/nix" = {
    device = "/dev/disk/by-uuid/1a8ff2e3-8bed-4acb-9f03-45583f1d651d";
    fsType = "btrfs";
  };

  fileSystems."/persist" = {
    device = "/dev/disk/by-label/NIXPERSIST";
    neededForBoot = true;
    fsType = "btrfs";
  };

  swapDevices = [
    {device = "/dev/disk/by-uuid/18c2ef9b-1568-41e4-b67a-96155822ae02";}
  ];

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
